Meetings

Share meeting

Shares a meeting with people, teams, workspaces, or the link, or removes their access. Returns the updated meeting.

PUT
/meeting/{meetingId}/share

Path Parameters

meetingId*string

The unique identifier of the meeting.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The people, teams, workspaces, or link to share with, up to 50. Targets that fail are listed in errors; the rest still apply.

Items1 <= items <= 50
[index: integer]?||||

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/meeting/string/share" \  -H "Content-Type: application/json" \  -d '[    {      "access": "Editor",      "email": "user@example.com"    }  ]'
{  "id": "string",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "duration": 0,  "url": "string",  "recordingUrl": "string",  "tags": [    {      "id": 1,      "name": "string",      "description": "string"    }  ],  "icalUid": "string",  "attendees": [    {      "profileId": 1,      "name": "string",      "title": "string",      "companyName": "string",      "email": "string",      "isCalendarEventOrganizer": true,      "isCalendarInvitee": true    }  ],  "notes": "string",  "privateNotes": "string",  "actionItems": [    {      "id": 1,      "title": "string",      "description": "string",      "assignee": {        "profileId": 1,        "name": "John Appleseed",        "title": "Head of Operations",        "companyName": "Initech",        "email": "john@initech.com"      },      "status": "PENDING"    }  ],  "insights": {    "property1": [      {        "speaker": "string",        "timestamp": 0,        "insight": "string"      }    ],    "property2": [      {        "speaker": "string",        "timestamp": 0,        "insight": "string"      }    ]  },  "linkAccess": "Editor",  "calendarEvent": {    "id": 1,    "icalUid": "string",    "description": "string",    "platform": "GoogleCalendar",    "platformId": "string"  },  "errors": [    {      "error": "string",      "index": 0    }  ],  "sharedWith": [    {      "profileId": 1,      "name": "string",      "access": "Owner",      "email": "string"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}